// Adds gravity flipping to an object relative to its master and shifts the z coordinate accordingly.
rawset(_G, "K_FlipFromObject", function(mo, master)

	mo.eflags = (mo.eflags & ~MFE_VERTICALFLIP)|(master.eflags & MFE_VERTICALFLIP)
	mo.flags2 = (mo.flags2 & ~MF2_OBJECTFLIP)|(master.flags2 & MF2_OBJECTFLIP)

	if (mo.eflags & MFE_VERTICALFLIP)
		mo.z = $+ master.height - FixedMul(master.scale, mo.height)
	end
end)